Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057078 - documentation error - offline tools chapter needs correcting
Summary: documentation error - offline tools chapter needs correcting
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Virtualization_Deployment_and_Administration_Guide
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Tahlia Richardson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1073271
TreeView+ depends on / blocked
 
Reported: 2014-01-23 12:41 UTC by Laura Novich
Modified: 2019-03-06 02:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 06:32:26 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Laura Novich 2014-01-23 12:41:02 UTC
Description of problem:
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Virtualization_Deployment_and_Administration_Guide/chap-Virtualization_Administration_Guide-Guest_Disks_libguestfs.html has many errors as follows:

Introduction needs fixing:
Red Hat Enterprise Linux 6 comes with tools to access, edit and create host physical machine disks or other disk images. There are several uses for these tools, including:

problem 1 -> The bold text should be modified to Red Hat Enterprise Linux 7 as this document is written for RHEL7

2. (Under chapter G.1.)
* Editing or uploading files onto a host physical machine disk.
* Reading or writing host physical machine configuration.
* Reading or writing the Windows Registry in Windows host physical machines.
* Rescuing and repairing host physical machines that fail to boot or those that need boot configuration changes.
* Monitoring disk usage of host physical machines.
* Auditing compliance of host physical machines, for example to organizational security standards.
* Deploying host physical machines by cloning and modifying templates.

Problem 2 -> The contents above should be modified to
* Editing or uploading files onto a guest virtual machine disk.
* Reading or writing guest virtual machine configuration.
* Reading or writing the Windows Registry in Windows guest virtual machines.
* Rescuing and repairing guest virtual machines that fail to boot or those that need boot configuration changes.
* Monitoring disk usage of guest virtual machines.
* Auditing compliance of guest virtual machines, for example to organizational security standards.
* Deploying guest virtual machines by cloning and modifying templates.

3. (Under G.1.)
You must never use these tools to write to a host physical machine or disk image which is attached to a running virtual machine, not even to open such a disk image in write mode.

problem 3 -> The bold text should be modified to:
You must never use these tools to write to a guest virtual machine or disk image which is attached to a running virtual machine, not even to open such a disk image in write mode. 

4. (Under G.2.)
* libguestfs (GUEST FileSystem LIBrary) - the underlying C library that provides the basic functionality for opening disk images, reading and writing files and so on. You can write C programs directly to this API, but it is quite low level.

-> libguestfs (GUEST FileSystem Library)

* guestfish (GUEST Filesystem Interactive SHell) is an interactive shell that you can use from the command line or from shell scripts. It exposes all of the functionality of the libguestfs API.

-> guestfish (GUEST Filesystem Interactive Shell)

* hivex and Augeas are libraries for editing the Windows Registry and Linux configuration files respectively. Although these are separate from libguestfs, much of the value of libguestfs comes from the combination of these tools.

-> hivex and augeas

5.(Under G.3.)
# yum install '*guestf*'

-> # yum install '*guestfs*'

6.(Under G.4.)
It is not possible to use libguest virtual machinefs to edit a live guest virtual machine, and attempting to will result in irreversible disk corruption.

-> It is not possible to use libguest virtual machines

7. (Under G.4.2.)
Editing or changing a running disk with guestfish will result in disk corruption.

-> Word 'will' don't needs to use bold font.

8. (Under G.4.5.)
Augeas can also be used to modify configuration files. You can modify the above script to change the keyboard layout:

-> Word 'change' don't needs to use bold font.

9. (Under G.5.)
-> `virt-cat RHEL3 /etc/ntp.conf | grep ^server`
`virt-edit LinuxGuest /boot/grub/grub.conf`
`virt-edit LinuxGuest /etc/passwd -e 's/^root:.*?:/root::/'
`virt-ls -R LinuxGuest /home/ | less`

These command should use the new style
`virt-cat -d RHEL3 /etc/ntp.conf | grep ^server`
`virt-edit -d LinuxGuest /boot/grub/grub.conf`
`virt-edit -d LinuxGuest /etc/passwd -e 's/^root:.*?:/root::/'
`virt-ls -R -d LinuxGuest /home/ | less` instead of the old style.

10. (Under G.6.2.)
-> `virt-rescue GuestName`, `virt-rescue /path/to/disk/image` should use the new style `virt-rescue -d GuestName`, `virt-rescue -a /path/to/disk/image`

11. (Under G.7.2.)
`virt-df /dev/vg_guests/RHEL6`, `# virt-df --csv WindowsGuest` should use the new style `virt-df -a /dev/vg_guests/RHEL6`, `# virt-df --csv -d WindowsGuest`

12. (Under G.7.2.)
# virt-df -h
Filesystem Size Used Available Use%
F14x64:/dev/sda1 484.2M 66.3M 392.9M 14%
F14x64:/dev/vg_f14x64/lv_root 7.4G 3.0G 4.4G 41%
RHEL6brewx64:/dev/sda1 484.2M 52.6M 406.6M 11%

-> The above bold command line `virt-df -h` should be `virt-df -h -d domname` or `virt-df -h -a disk.img`

13. (Under G.8.2.)
Decide on how you wish to expand the guest virtual machine. Run virt-df -h and virt-list-partitions -lh on the guest virtual machine disk, as shown in the following output:

-> virt-list-partitions is obsolete, should use virt-filesystems instead of virt-list-partitions.

14. (Under G.8.2.)
` virt-df -h /dev/vg_guests/RHEL6` should use the new style ` virt-df -h -a /dev/vg_guests/RHEL6`

15. (Under G.9.3.)
`virt-inspector --xml disk.img > report.xml`, `virt-inspector --xml GuestName > report.xml` should use the new style `virt-inspector --xml -a disk.img > report.xml`, `virt-inspector --xml -d GuestName > report.xml`

16. (Under G.9.3.)
Processing these reports is best done using W3C standard XPath queries. Red Hat Enterprise Linux 6 comes with a command line program (xpath) which can be used for simple instances;

-> Processing these reports is best done using W3C standard XPath queries. Red Hat Enterprise Linux 7

17. (Under G.11.)
The libguestfs API can be used directly from the following languages in Red Hat Enterprise Linux 6.2: C, C++, Perl, Python, Java, Ruby and OCaml.

-> The libguestfs API can be used directly from the following languages in Red Hat Enterprise Linux 7.0

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.